Subject: ls starts VERY SLOWLY w/ b18 on Windows NT 4.0
From: [email-masked] (Peter Ham)

18 May 1997 01:00:57 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
X-Mailer: Mozilla 3.0Gold (WinNT; U)
MIME-Version: 1.0
Original-To: [email-masked]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Original-Sender: [email-masked]

I have noticed that program startup is MUCH SLOWER than
the previous release that I downloaded in November or so.
It takes 16 seconds on an empty directory on a lightly loaded
Pentium 133mhz.

Could it be that the cygwin.dll keeps getting loaded and unloaded
for each program execution? Is there any way to lock it in?
It's frustrating to use "ls" (or any other frequently used program)
in this configuration.

I also noticed that gcc takes a long time to compile programs,
but that the performance monitor indicates that the machine
is only lightly loaded in terms of cpu AND io. What's going on?
It seems that all of the gnuwin programs are waiting (unnecessarily)
on some sychronization or timing event to occur.

Has anyone else noticed this?

Peter Ham

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".